features:
  secondary:
    - name: "Jobs in Directed Acyclic Graph (DAG) pipelines can be set up with no predecessors"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/#needs'
      reporter: thaoyeager
      stage: verify
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/30631'
      description: |
        Specifying an empty `needs:` array can be used to indicate to GitLab
        that there is no predecessor for that job, but it can always start
        immediately regardless of what stage it is in. Users can utilize this to set up
        more flexible relationships in a DAG pipeline, speeding them up and
        making them more efficient.
